package com.jdc.jdcproject.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jdc.jdcproject.entity.DicekeMiningloss;
import com.jdc.jdcproject.entity.VO.DicekeMininglossVo;
import com.jdc.jdcproject.utils.Result;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 采剥与贫损表; 服务类
 * </p>
 *
 * @author haoyanlu
 * @since 2025-04-26
 */
public interface IDicekeMininglossService extends IService<DicekeMiningloss> {

    List<DicekeMininglossVo> findAllLoss();

    int savedml(DicekeMininglossVo dicekeMininglossVo);

/*
// 两个时间内查询
    List<DicekeMininglossVo> getLossByMonthRange(LocalDate Month, LocalDate endMonth);

*/

    List<DicekeMininglossVo> getLossByMonth(LocalDate Month);
}
